<div class="row">
  <div class="col-6 m-auto">
  <div class="card m-auto">
    <div class="card-header">
      Register
    </div>
    <div class="card-body">
      <form [formGroup]="registrationForm" (ngSubmit)="onSubmit()">
        <div class="form-group col-12">
            <label for="name" class="form-label">Name</label>
            <input type="text" class="form-control" formControlName="userName" >
            <span *ngIf="!userName.valid && userName.touched" class = "error-block">
              Please provide your name
            </span>
        </div>

        <div class="form-group col-12">
          <label for="email" class="form-label">Email</label>
          <input type="text" class="form-control" formControlName="email">
          <span *ngIf="!email.valid && email.touched" class = "error-block">
              <span *ngIf = "email.hasError('required')">
                  Please provide your email address

              </span>
              <span *ngIf = "email.hasError('email')">
                Please provide valid email address

            </span>
          </span>
        </div>

        <div class="form-group col-12">
          <label for="password" class="form-label">Password</label>
          <input type="text" class="form-control" formControlName="password">
          <span *ngIf="!password.valid && password.touched" class = "error-block">
            <span *ngIf = "password.errors['required']">
                Please provide password

            </span>
            <span *ngIf = "password.errors.minlength">
              Password should not be less than 8 characters

          </span>
        </span>
        </div>

        <div class="form-group col-12">
          <label for="cpassword" class="form-label">Confirm Password</label>
          <input type="text" class="form-control" formControlName="confirmPassword">
          <span *ngIf="!confirmPassword.valid && confirmPassword.touched" >
            Please confirm your password
          </span>
          <span *ngIf = "registrationForm.hasError('notmatched') && confirmPassword.valid">
            Password not matched
          </span>
        </div>

        <div class="form-group col-12">
          <label for="mobile" class="form-label">Mobile</label>
          <input type="text" class="form-control" formControlName="mobile">
          <span *ngIf="!mobile.valid && mobile.touched" class = "error-block">
            <span *ngIf = "mobile.errors['required']">
                Please provide mobile number

            </span>
            <span *ngIf = "mobile.errors.minlength">
              mobile should not be less than 8 characters

          </span>
        </span>
        </div>

        <div class="form-group col-12">
          <button type="submit" class="btn btn-primary">Save</button>
          <button type="reset" class="btn btn-secondary ml-2">Cancel</button>
        </div>
      </form>
    </div>
  </div>
  </div>
</div>
